Index: SysVinit.spec
===================================================================
RCS file: /cvsroot/SPECS/SysVinit.spec,v
retrieving revision 1.106
diff -u -r1.106 SysVinit.spec
--- SysVinit.spec	26 Dec 2003 18:28:24 -0000	1.106
+++ SysVinit.spec	29 Jun 2004 22:17:47 -0000
@@ -1,4 +1,6 @@
 # $Revision: 1.106 $, $Date: 2003/12/26 18:28:24 $
+%bcond_without	selinux # dont enable selinux support
+
 Summary:	System V initialization program
 Summary(de):	System V-Intialisierungsprogramm
 Summary(es):	Programa de inicializacin System V
@@ -32,7 +34,7 @@
 Patch11:	sysvinit-killall5.patch
 Patch12:	sysvinit-selinux.patch
 BuildRequires:	glibc-devel
-BuildRequires:	libselinux-devel
+%{?with_selinux:BuildRequires:	libselinux-devel}
 PreReq:		shadow
 Requires:	/bin/awk
 Requires:	login
@@ -107,7 +109,7 @@
 %patch9 -p1
 %patch10 -p1
 %patch11 -p1
-%patch12 -p1
+%{?with_selinux:%patch12 -p1}
 
 %build
 %{__make} -C src \
Index: findutils.spec
===================================================================
RCS file: /cvsroot/SPECS/findutils.spec,v
retrieving revision 1.62
diff -u -r1.62 findutils.spec
--- findutils.spec	25 Feb 2004 14:57:38 -0000	1.62
+++ findutils.spec	29 Jun 2004 22:17:47 -0000
@@ -1,4 +1,5 @@
 # $Revision: 1.62 $, $Date: 2004/02/25 14:57:38 $
+%bcond_without	selinux # dont enable selinux support
 Summary:	GNU Find Utilities (find, xargs)
 Summary(de):	GNU-Suchprogramme (find, xargs)
 Summary(es):	Utilitarios de bsqueda de la GNU
@@ -28,7 +29,7 @@
 BuildRequires:	autoconf
 BuildRequires:	automake
 BuildRequires:	gettext-devel
-BuildRequires:	libselinux-devel
+%{?with_selinux:BuildRequires:	libselinux-devel}
 BuildRequires:	texinfo
 BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
@@ -89,7 +90,7 @@
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
-%patch6 -p1
+%{?with_selinux:%patch6 -p1}
 
 %build
 %{__aclocal} -I gnulib/m4
@@ -107,7 +108,7 @@
 	DESTDIR=$RPM_BUILD_ROOT
 
 bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
-patch -p0 -d $RPM_BUILD_ROOT%{_mandir} < %{PATCH7}
+%{?with_selinux:patch -p0 -d $RPM_BUILD_ROOT%{_mandir} < %{PATCH7}}
 
 %find_lang %{name}
 
Index: util-linux.spec
===================================================================
RCS file: /cvsroot/SPECS/util-linux.spec,v
retrieving revision 1.241
diff -u -r1.241 util-linux.spec
--- util-linux.spec	26 Feb 2004 15:55:01 -0000	1.241
+++ util-linux.spec	29 Jun 2004 22:17:48 -0000
@@ -2,6 +2,7 @@
 #
 # Conditional build:
 %bcond_with	uClibc	# don't build few utilities
+%bcond_without	selinux # dont enable selinux support
 #
 # TODO:
 # - move raw to /sbin (potentially can be used before mount partitions)??
@@ -50,7 +51,7 @@
 Patch19:	%{name}-io.patch
 BuildRequires:	gettext-devel
 BuildRequires:	grep
-BuildRequires:	libselinux-devel
+%{?with_selinux:BuildRequires:	libselinux-devel}
 %{!?with_uClibc:BuildRequires:	ncurses-devel >= 5.0}
 %{!?with_uClibc:BuildRequires:	pam-devel >= 0.77.3}
 BuildRequires:	texinfo
@@ -351,7 +352,7 @@
 %patch14 -p1
 %patch15 -p1
 %patch16 -p1
-%patch17 -p1
+%{?with_selinux:%patch17 -p1}
 %patch18 -p1
 %patch19 -p1
 
